unit uMaterials;

interface
uses
  zglHeader;

procedure LoadMaterials;

var
  mName, mHow : zglPTexture;
  mPBT, mPBT1 : array[0..2] of zglPTexture;

  mFont_1 : zglPFont;

const
  c_Tile_W = 16;
  c_Tile_H = 16;
  cCountParticlesTypes = 2;

var
  m_gun1,
  m_gun1_d,
  m_bullet,
  m_goal,
  m_mgoal,
  m_bam,
  m_zepelin,
  m_bomb
  : zglPTexture;
  mParticle : array[1..cCountParticlesTypes] of zglPTexture;
implementation


procedure CalcCSizes;
var
  I : Integer;
begin
//  for I := 1 to cCountBonusSizes do
//    csBonusSizes[I] := sin(I * 5 * P180) * 8 + 8;
end;

procedure LoadMaterials;
var
  I : Integer;
begin
//  CalcCSizes;
  mName := tex_LoadFromFile('Data\Name.PNG');

  mFont_1 := font_LoadFromFile('Data\font_1.zfi');
  mPBT[1] := tex_LoadFromFile('Data\PBT.PNG');
  mPBT[2] := tex_LoadFromFile('Data\PBT_g.PNG');
  mPBT1[1] := tex_LoadFromFile('Data\PBT1.PNG');
  mPBT1[2] := tex_LoadFromFile('Data\PBT1_g.PNG');
//________________________________________________
m_gun1  := tex_LoadFromFile('Data\gun1.PNG');
m_gun1_d  := tex_LoadFromFile('Data\gun1_d.PNG');
m_bullet  := tex_LoadFromFile('Data\bullet.PNG');
m_goal    := tex_LoadFromFile('Data\goal.PNG');
m_mgoal   := tex_LoadFromFile('Data\mgoal.PNG');
m_bam     := tex_LoadFromFile('Data\bam.PNG');
m_zepelin := tex_LoadFromFile('Data\zepelin.PNG');
m_bomb    := tex_LoadFromFile('Data\bomb.PNG');


  mParticle[1] := tex_LoadFromFile('Data\particle1.PNG');
  mParticle[2] := tex_LoadFromFile('Data\particle2.PNG');
  tex_SetFrameSize(mParticle[1], 64, 64);
  tex_SetFrameSize(mParticle[2], 64, 64);
end;

end.

